<?php

namespace ProveSource\SocialProof\Model;

use Magento\FrameWork\Model\AbstractModel;
use Magento\Framework\DataObject\IdentityInterface;

class SettingsEntry extends AbstractModel implements SettingsEntryInterface, IdentityInterface
{
    const CACHE_TAG = 'provesource_socialproof_settingsentry';

    /**
     * Constructor.
     */
    public function _construct()
    {
        $this->_init('ProveSource\SocialProof\Model\ResourceModel\SettingsEntry');
    }

    /**
     * Model identity.
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG.'_'.$this->getId()];
    }
}
